/* Вспомогательные функции */

//************************ Ввод строки из Wi-Fi канала
void sLineInput() {
  int inChar = 0;
  InputString = "";  // Очистить буфер строки
  for (int tim=0; tim<2000; tim++) {
    inChar = Serial.read();          // получить новый байт
    if (inChar!=-1) {                // Если буфер не пуст
      if (inChar!='\n') {            // Если не конец строки
        if(inChar!='\r') InputString += (char)inChar; // добавляем
        tim=0;
      }
      else break;                    // Иначе завершаем цикл
    }
  }
}

//************************ Вывод сообщения в Wi-Fi канал
void PrintWIFI () {
  int LenStr = OutputString.length();    // Определяем длину сообщения
  flERR = false;                         // Сброс флага ошибки
  Serial.flush();                        // Ожидание конца передачи
  delay(400);
  Serial.print("AT+CIPSEND=0,");         // Передача первой части команды
  Serial.println(LenStr+1);              // передача окончания команды
  waitOK("OK");                          // Ожидание ответа "OK"
  waitOK("> ");                          // Ожидание приглашения
  if (!flERR) {                          // Если флаг ошибки не установлен
    Serial.println(OutputString+"\n");   // Передаем сообщение
    waitOK("SEND OK");                   // Ожидаем ответе "SEND OK"
  }
}

//**************************************** Ожидание ответа OK
void waitOK(const char* inWrd) {
  if (flERR) return;                     // Если флаг ошибки уставновлен выходим
  flERR = true;                          // Установить флаг ошибки
  for (int i=0; i<50; i++) {             // Цикл ожидания нужного ответа
    sLineInput();                        // Получаем строку из посл.канала
    ErrorString += InputString + "~\n";  // Запись в лог-файл
    if (InputString==inWrd) {            // Если принятое сообщение то что нужно
      flERR = false;                     // Сбрасываем флаг ошибкти
      delay(200);
      break;                             // Выход из цикла ожидания ответа
    }
  }
  if (FLerr) PrintLog();     // Если ошибка, вызваем функцию печати лог-файла
}

