/*
  Программный пример 4.3.    Глава 4
  Программа управления светодиодами (включение выключение при нажатии кнопок в "WiFi Controller")
 */
String InputString="";         // строка для хранения входящих данных
String OutputString="";        // строка для хранения данных для вывода
bool pinbuf[8];                // Буфер состояния светодиодов
bool FLerr = false;            // Флаг ошибки

void setup() {
  SetupESP();                  // Настройка Wi-Fi модуля
  for (int i=0; i<8; i++) {    // Цикл настройки выходов
    pinbuf[i]=true;            // Установка буфера состояния светодиодов
    pinMode(i+2, OUTPUT);      // Настройка контакта
    digitalWrite(i+2, true);   // Установка начального значения на выходе
  }
  delay(200);
}

//**********************************************
void loop() {
  int npin;
  FLerr = false;                           // Сброс флага ошибки
  getCommand();                            // Получение команды
  if (OutputString.substring(0,1)=="K") {         // Если первая буква команды - "K"
    npin = OutputString.substring(1).toInt();     // Получаем числовую часть команды
    pinbuf[npin-1] = !pinbuf[npin-1];             // Инвертируем состояние светодиода
    digitalWrite(npin+1, pinbuf[npin-1]);         // Вывод состояния на светодиод
    OutputString = "LED"+String(npin);            // Формируем сообщение
    if (pinbuf[npin-1]) OutputString += "=OFF";
    else OutputString += "=ON";
    PrintWIFI();                                  // Посылаем сообщение по Wi-Fi
  }
}

