/* 
   -- Ppr_5_01 -- Создано автоматически. Не редактировано.
    
   Этот исходный код графического пользовательского интерфейса был сгенерирован автоматически
   редактором RemoteXY. Для компиляции этого кода с помощью библиотеки RemoteXY 2.3.5 
   или более поздней версии, которую нужно загрузить по ссылке http://remotexy.com/en/library/ 
   Управление производится при помощи мобильного приложения RemoteXY, которое можно скачать 
   по ссылке http://remotexy.com/en/download/                    
     - для ANDROID 4.3.1 или более поздней версии; 
     - для iOS 1.3.5 или более поздней версии; 
     
   Эта программа распространяется как "Free Software"; вы можете распространять и / или изменять 
   ее в соответствии с условиями GNU Lesser General Public 
   Правила лицензирования должны соответствовать Free Software Foundation 
   версии 2.1, либо (по вашему выбору) любой более поздней версии.
*/ 

////////////////////////////////////////////// 
//        RemoteXY include library          // 
////////////////////////////////////////////// 

// определение режима соединения и подключение библиотеки RemoteXY  
#define REMOTEXY_MODE__ESP8266_HARDSERIAL

#include <RemoteXY.h> 

// настройки соединения  
#define REMOTEXY_SERIAL Serial 
#define REMOTEXY_SERIAL_SPEED 115200 
#define REMOTEXY_WIFI_SSID "MyWiFi" 
#define REMOTEXY_WIFI_PASSWORD "РarolMyWiFi" 
#define REMOTEXY_SERVER_PORT 6377 


// конфигурация интерфейса   
#pragma pack(push, 1) 
uint8_t RemoteXY_CONF[] = 
  { 255,4,0,0,0,51,0,8,55,1,
  1,2,36,13,21,10,2,31,208,146,
  208,186,208,187,0,2,0,8,12,21,
  11,2,26,31,31,79,78,0,79,70,
  70,0,3,5,13,36,13,60,2,26,
  4,0,41,38,8,55,2,26 }; 
   
// структура определяет все переменные вашего интерфейса управления  
struct { 

    // input variable
  uint8_t button_1; // =1 если кнопка нажата, иначе =0 
  uint8_t switch_1; // =1 если переключатель включен и =0 если отключен 
  uint8_t select_1; // =0 если переключатель в положении A, =1 если в положении B, =2 если в положении C, ... 
  int8_t slider_1; // =0..100 положение слайдера 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY; 
#pragma pack(pop) 

///////////////////////////////////////////// 
//           END RemoteXY include          // 
///////////////////////////////////////////// 

#define PIN_BUTTON_1 3
#define PIN_SWITCH_1 2


void setup()  
{ 
  RemoteXY_Init ();  
   
  pinMode (PIN_BUTTON_1, OUTPUT);
  pinMode (PIN_SWITCH_1, OUTPUT);
   
  // TODO you setup code 
   
} 

void loop()  
{  
  RemoteXY_Handler (); 
   
  digitalWrite(PIN_BUTTON_1, (RemoteXY.button_1==0)?LOW:HIGH);
  digitalWrite(PIN_SWITCH_1, (RemoteXY.switch_1==0)?LOW:HIGH);
   
  // TODO you loop code 
  // используйте структуру RemoteXY для передачи данных 


}

